<?php

namespace App\Entities\Cloudflare\API;

class AccountEntity extends APIEntity
{
    protected $datamap = [];
    protected $dates   = ['created_at', 'updated_at', 'deleted_at'];
    protected $casts   = [];

    public function getPrimaryKey()
    {
        return $this->attributes['uid'];
    }
    public function getTitle()
    {
        return $this->attributes['title'];
    }
    public function __toString()
    {
        return "uid:{$this->attributes['uid']}|auth_uid:{$this->attributes['auth_uid']}|{$this->attributes['title']} | {$this->attributes['type']} | {$this->attributes['status']}";
    }
    public function getParentField(): string
    {
        return "auth_uid";
    }
}
